[Overview][Types][Classes][Variables][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TAVLTree.IsEqual

Check whether 2 tree instances are equal.

## Declaration

Source position: avl_tree.pp line 131

`public function TAVLTree.IsEqual(`
`aTree: TAVLTree;`
`CheckDataPointer: Boolean`
`):Boolean;`

## Arguments

`aTree` |  | Tree to compare with
`CheckDataPointer` |  | Should the data pointer be checked instead of the key ?

## Function result

True if both trees are equal.

## Description

IsEqual checks the current tree with aTree and checks whether the two trees contain the same data in the same order and whether they use the same compare methods, and node class. If CheckDataPointer is True, only the data pointers are compared, not the keys.

## Errors

None.

## See also

TAvlTree.Equals |  | Check if two trees are equal